summaryrefslogtreecommitdiff
path: root/rif-importfriends.sh
diff options
context:
space:
mode:
Diffstat (limited to 'rif-importfriends.sh')
-rwxr-xr-xrif-importfriends.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/rif-importfriends.sh b/rif-importfriends.sh
new file mode 100755
index 0000000..887abc2
--- /dev/null
+++ b/rif-importfriends.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+# 2019-09-10, Nico Schottelius, Seoul
+
+if [ $# -lt 1 ]; then
+ echo "$0: <URL> [URL...]"
+ echo "URL: of your real IPv6 friend(s)"
+ exit 1
+fi
+
+while [ $# -ge 1 ]; do
+ url=$1; shift
+ fullurl=${url}/rifkeys
+
+ curl -6 -s "${fullurl}" | gpg --import
+done